org.bouncycastle.cms.test

## Class EnvelopedDataStreamTest

- java.lang.Object
- - TestCase
  - - org.bouncycastle.cms.test.EnvelopedDataStreamTest

    public class EnvelopedDataStreamTest
    extends TestCase

### Constructor Summary

Constructors
Constructor and Description
`EnvelopedDataStreamTest()`

### Method Summary

Methods
`void` `setUp()`
`static Test` `suite()`
`void` `testAESKEK()`
`void` `testECKeyAgree()`
`void` `testKeyTransAES128()`
`void` `testKeyTransAES128Buffered()`
`void` `testKeyTransAES128BufferedStream()`
`void` `testKeyTransAES128Der()`
`void` `testKeyTransAES128Throughput()`
`void` `testKeyTransCAST5SunJCE()`
`void` `testOriginatorInfo()`
`void` `testTwoAESKEK()`
`void` `testWorkingData()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EnvelopedDataStreamTest

    public EnvelopedDataStreamTest()

### Method Detail

#### setUp

    public void setUp()
               throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testWorkingData

    public void testWorkingData()
                         throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testKeyTransAES128BufferedStream

    public void testKeyTransAES128BufferedStream()
                                          throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testKeyTransAES128Buffered

    public void testKeyTransAES128Buffered()
                                    throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testKeyTransAES128Der

    public void testKeyTransAES128Der()
                               throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testKeyTransAES128Throughput

    public void testKeyTransAES128Throughput()
                                      throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testKeyTransAES128

    public void testKeyTransAES128()
                            throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testKeyTransCAST5SunJCE

    public void testKeyTransCAST5SunJCE()
                                 throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testAESKEK

    public void testAESKEK()
                    throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testTwoAESKEK

    public void testTwoAESKEK()
                       throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testECKeyAgree

    public void testECKeyAgree()
                        throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testOriginatorInfo

    public void testOriginatorInfo()
                            throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### suite

    public static Test suite()
                      throws java.lang.Exception

Throws:
  `java.lang.Exception`